<section class="grid min-w-full grid-flow-col grid-cols-8 gap-2 px-6 py-5 xl:gap-5">
    <div
        class="hover:border-ellayellow-darker hover:bg-ellared-light group h-24 cursor-pointer select-none rounded-lg border border-gray-200 text-xs duration-500 md:text-base xl:h-32"
    >
        <input
            id="toggle-status-all"
            class="peer hidden"
            type="checkbox"
            _="on change repeat for checkbox in <input[type=checkbox]/> set checkbox.checked to false then set #search's value to '' end"
        />
        <label
            for="toggle-status-all"
            title="(T) Total number of workflows in the system. Click to clear all filters."
            class="flex h-full flex-col items-center justify-center rounded-lg ease-in-out"
        >
            <div class="italic">Total</div>
            <div class="text-5xl font-bold group-hover:text-3xl">{{ jobs_count['all'] }}</div>
            <div class="text-ellayellow-darkest hidden text-center font-bold group-hover:block">
                Clear filters
            </div>
        </label>
    </div>

    <div
        class="h-24 cursor-pointer select-none rounded-lg border border-gray-200 text-xs hover:bg-gray-100 md:text-base xl:h-32"
    >
        <input id="toggle-status-completed" class="peer hidden" type="checkbox" />
        <label
            for="toggle-status-completed"
            title="(C) Successfully completed workflows. Toggle to use in filter."
            class="peer-checked:bg-ellared-light peer-checked:border-ellayellow-darker flex h-full flex-col items-center justify-center rounded-lg transition-colors duration-150 ease-in-out peer-checked:border peer-checked:text-gray-900"
        >
            <div class="italic">Completed</div>
            <div class="text-ellagreen-dark text-5xl font-bold">{{ jobs_count['completed'] }}</div>
        </label>
    </div>

    <div
        class="h-24 cursor-pointer select-none rounded-lg border border-gray-200 text-xs hover:bg-gray-100 md:text-base xl:h-32"
    >
        <input id="toggle-status-running" class="peer hidden" type="checkbox" />
        <label
            for="toggle-status-running"
            title="(R) Currently running workflows. Toggle to use in filter."
            class="peer-checked:bg-ellared-light peer-checked:border-ellayellow-darker flex h-full flex-col items-center justify-center rounded-lg transition-colors duration-150 ease-in-out peer-checked:border peer-checked:text-gray-900"
        >
            <div class="italic">Running</div>
            <div class="text-ellayellow-darkest text-5xl font-bold">
                {{ jobs_count['running'] }}
            </div>
        </label>
    </div>

    <div
        class="h-24 cursor-pointer select-none rounded-lg border border-gray-200 text-xs hover:bg-gray-100 md:text-base xl:h-32"
    >
        <input id="toggle-status-queued" class="peer hidden" type="checkbox" />
        <label
            for="toggle-status-queued"
            title="(Q) Workflows awaiting available resources. Toggle to use in filter."
            class="peer-checked:bg-ellared-light peer-checked:border-ellayellow-darker flex h-full flex-col items-center justify-center rounded-lg transition-colors duration-150 ease-in-out peer-checked:border peer-checked:text-gray-900"
        >
            <div class="italic">Queued</div>
            <div class="text-ellayellow-darkest text-5xl font-bold">{{ jobs_count['queued'] }}</div>
        </label>
    </div>

    <div
        class="h-24 cursor-pointer select-none rounded-lg border border-gray-200 text-xs hover:bg-gray-100 md:text-base xl:h-32"
    >
        <input id="toggle-status-pending" class="peer hidden" type="checkbox" />
        <label
            for="toggle-status-pending"
            title="(P) Workflows awaiting input. Toggle to use in filter."
            class="peer-checked:bg-ellared-light peer-checked:border-ellayellow-darker flex h-full flex-col items-center justify-center rounded-lg transition-colors duration-150 ease-in-out peer-checked:border peer-checked:text-gray-900"
        >
            <div class="italic">Pending</div>
            <div class="text-ellayellow-darkest text-5xl font-bold">
                {{ jobs_count['pending'] }}
            </div>
        </label>
    </div>

    <div
        class="h-24 cursor-pointer select-none rounded-lg border border-gray-200 text-xs hover:bg-gray-100 md:text-base xl:h-32"
    >
        <input id="toggle-status-halted" class="peer hidden" type="checkbox" />
        <label
            for="toggle-status-halted"
            title="(A) Halted workflows. Toggle to use in filter."
            class="peer-checked:bg-ellared-light peer-checked:border-ellayellow-darker flex h-full flex-col items-center justify-center rounded-lg transition-colors duration-150 ease-in-out peer-checked:border peer-checked:text-gray-900"
        >
            <div class="italic">Halted</div>
            <div class="text-ellared-darkest text-5xl font-bold">{{ jobs_count['halted'] }}</div>
        </label>
    </div>

    <div
        class="h-24 cursor-pointer select-none rounded-lg border border-gray-200 text-xs hover:bg-gray-100 md:text-base xl:h-32"
    >
        <input id="toggle-status-cancelled" class="peer hidden" type="checkbox" />
        <label
            for="toggle-status-cancelled"
            title="(X) Manually cancelled workflows. Toggle to use in filter."
            class="peer-checked:bg-ellared-light peer-checked:border-ellayellow-darker flex h-full flex-col items-center justify-center rounded-lg transition-colors duration-150 ease-in-out peer-checked:border peer-checked:text-gray-900"
        >
            <div class="italic">Cancelled</div>
            <div class="text-ellared-darkest text-5xl font-bold">{{ jobs_count['cancelled'] }}</div>
        </label>
    </div>

    <div
        class="h-24 cursor-pointer select-none rounded-lg border border-gray-200 text-xs hover:bg-gray-100 md:text-base xl:h-32"
    >
        <input id="toggle-status-failed" class="peer hidden" type="checkbox" />
        <label
            for="toggle-status-failed"
            title="(F) Workflows where one or more steps have failed. Toggle to use in filter."
            class="peer-checked:bg-ellared-light peer-checked:border-ellayellow-darker flex h-full flex-col items-center justify-center rounded-lg transition-colors duration-150 ease-in-out peer-checked:border peer-checked:text-gray-900"
        >
            <div class="italic">Failed</div>
            <div class="text-ellared-darkest text-5xl font-bold">{{ jobs_count['failed'] }}</div>
        </label>
    </div>
</section>
